declineInvite_conf = {
	["ENABLED"] = false,
};

function declineInvite_OnLoad()
	SlashCmdList["declineInvite"] = declineInvite_SlashCmd;
	SLASH_declineInvite1 = "/declineinvite";
	SLASH_declineInvite2 = "/di";

	DEFAULT_CHAT_FRAME:AddMessage("Loaded declineIvite addon.");
end

function declineInvite_SlashCmd(a, msg)
	if( declineInvite_conf["ENABLED"] ) then
		declineInvite_conf["ENABLED"] = false;
		DEFAULT_CHAT_FRAME:AddMessage("declineInvite disabled.");
	else
		declineInvite_conf["ENABLED"] = true;
		DEFAULT_CHAT_FRAME:AddMessage("declineInvite enabled.");
	end;
end

local timeInvited = nil;
local timeDeclineDelay = 2 + math.random(4);
function declineInvite_OnUpdate()

	if( timeInvited ~= nil and os.difftime(os.time(), timeInvited) > timeDeclineDelay ) then
		-- Decline the invite
		DeclineGroup();

		timeInvited = nil;
		timeDeclineDelay = 2 + math.random(4);
	end

end


function declineInvite_OnEvent(event)
	if( declineInvite_conf["ENABLED"] == false ) then
		return;
	end;


	if( event == "PARTY_INVITE_REQUEST" ) then
		timeInvited = os.time();
	end

	DEFAULT_CHAT_FRAME:AddMessage("Enqueued a decline for party invite in " .. timeDeclineDelay .. " seconds.");
end